*{
    box-sizing: border-box;
}
body{
    font-family: sans-serif;
    /* just hide scrollbar in x axis */
    overflow-x:hidden;
    margin:0;
    background-color: #333;
    color:#222;
}
.container{
    background-color: #fafafa;
    /* this will change rotation core from center to a known distination */
    transform-origin: top left;
    /* controll the rotation speed  */
    transform: transform 0.5s linear;
    width:100vw;
    min-height: 100vh;
    padding:50px;
}
/* in case of rotation, the following style will be added to entire page */
 .show-nav{
    transform:rotate(-20deg) !important
}
/* circle in the top left */
.circle-container{
    position:fixed;
    top:-100px;
    left:-100px;
}
.circle{
    background-color:#ff7979;
    width:200px;
    height:200px;
    border-radius: 50%;
    position:relative;
    transition: transform 0.5s linear;
}
.container .show-nav .circle{
    transform:rotate(-150deg) !important
}
.circle button{
    cursor: pointer;
    position:absolute;
    top:50%;
    left:50%;
    z-index:10;
    color:#fff;
    font-size:26px;
    background-color: transparent;
    border:0;
    font-size:50px;
}
.circle button#open{
    left:50%;
}
.circle button#close{
    top:60%;
    transform:rotate(90deg);
    transform-origin: top left;
}
.circle button:focus{
    outline:none;
}
.container.show-nav{
    transform:translateX(0);
    /* come after rotation */
    transition-delay:0.3s;
}
nav{
    position:fixed;
    left:0;
    bottom:40px;
    z-index:100;
    color:red;
}
nav ul{
    list-style-type:none;
    padding-left:30px;
}
nav ul li{
    text-transform: uppercase;
    color:#fff;
    margin:40px 0;
    /* move li items to left in case of close buttom pushed */
    transform:translateX(-100%); 
    transition:transition 0.4s ease-in;
}
nav ul li i{
    font-size: 1.6rem;
    margin-right:40px;
}
/* to add a stair shape to lists */
nav ul li +li{
    margin-left:15px;
    transform:translateX(-150%);
}
nav ul li + li +li{
    margin-left:30px;
    transform:translateX(-200%);
}
.content img{
    max-width:100%;
}
.content{
    max-width: 1000px;
    margin:50px auto;
}
.content h1{
    margin:0;
}
.content small{
    color:#555;
    font-style:italic;
}
.content p{
    color:#333;
    line-height: 1.5;
}